package com.javacodegeeks.examples;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.Bean;

import com.javacodegeeks.examples.beans.Animal;
import com.javacodegeeks.examples.beans.Dog;

@SpringBootApplication
public class IocSpringApplication {
	
    @Bean
    public Animal dog() {
        return new Dog();
    }

	public static void main(String[] args) {
		ConfigurableApplicationContext context =SpringApplication.run(
				IocSpringApplication.class, args);
		
		Animal animal = context.getBean("dog", Animal.class);
        
        System.out.println(animal.getFavoritePastime());
        
        context.close();
	}

}
